%if 0%{?el7}
%define dist .el7
%endif

%ifarch x86_64
%define libdir lib64
%else
%define libdir lib
%endif

Name:		libopencore-amr
Version:	0.1.5
Release:	1%{?dist}
Summary:	opencore-amr project

Group:		System Environment/Libraries
License:	Apache License V2.0
URL:		http://sourceforge.net/projects/opencore-amr/
Source0:    https://sourceforge.net/projects/opencore-amr/files/opencore-amr/opencore-amr-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Packager: momo-i <webmaster@momo-i.org>
Vendor: momo-i, http://www.momo-i.org/

BuildRequires:	pkgconfig
BuildRequires:  gcc gcc-c++

%description
This is the opencore-amr project ("opencore-amr") 
This project was registered on SourceForge.net on Jun 18, 2009, and is described by the project team as follows: 
Library of OpenCORE Framework implementation of Adaptive Multi Rate Narrowband and Wideband speech codec

%package devel
Summary:	opencore-amr project
Group:		System Environment/Libraries

%description devel
This is the opencore-amr project ("opencore-amr")
This project was registered on SourceForge.net on Jun 18, 2009, and is described by the project team as follows:
Library of OpenCORE Framework implementation of Adaptive Multi Rate Narrowband and Wideband speech codec

%package static
Summary:	Static libraries for opencore-amr
Group:		System Environment/Libraries

%description static
Static libraries for opencore-amr

%prep
%setup -q -n opencore-amr-%{version}

%build
%ifarch x86_64
export CXXFLAGS=-fPIC
%endif
%configure \
	--enable-amrnb-encoder \
	--enable-amrnb-decoder \
	--enable-shared \
	--enable-examples

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ChangeLog README
%{!?_licensedir:%global license %%doc}
%license LICENSE
%{_bindir}/amr*
%{_libdir}/*.so

%files devel
%defattr(-,root,root)
%{_libdir}/libopencore-amrwb.so.*
%{_libdir}/libopencore-amrnb.so.*
%{_libdir}/*.la
%{_includedir}/opencore-amrnb/*.h
%{_includedir}/opencore-amrwb/*.h
%{_libdir}/pkgconfig/*.pc

%files static
%{_libdir}/libopencore-amrwb.a
%{_libdir}/libopencore-amrnb.a

%changelog
* Sun Nov 25 2018 momo-i <webmaster@momo-i.org> - 0.1.5-1
- Update to 0.1.5

* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 0.1.3-5
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 0.1.3-4
- Rebuilt for fc23

* Fri Apr 17 2015 momo-i <webmaster@momo-i.org> - 0.1.3-3
- Rebuilt for fc22

* Thu Nov 13 2014 momo-i <webmaster@momo-i.org> - 0.1.3-2
- change license dir

* Thu Mar 28 2013 momo-i <webmaster@momo-i.org> - 0.1.3-1
- Update 0.1.3

* Mon Aug 3 2009 momo-i <webmaster@momo-i>
- initial package
